---
networks:
  kx:
    name: kx
    external: true

services:
  java-pub:
    hostname: java-pub
    image: ${DOCKER_REG}/rtdemo:1.9.0
    networks: 
      - kx
    volumes:
      - ${PWD}/client.json:/var/rt-config.json
      - ${PWD}/rt-data/:/var/rt-data/
      - ${PWD}/java-sample.csv:/var/sample.csv
    environment:
      - RT_LOG_PATH=/var/rt-data/logs/
      - RT_REP_DIR=/var/rt-data/repdir/
    command: ["/opt/java/openjdk/bin/java", "-jar", "/app/rtdemo.jar", "--tableName=trace", "--configFile=/var/rt-config.json", "--runCsvLoadDemo=/var/sample.csv"]
